## ESpellEntry

ESpellEntry

## Functions

GtkWidget * | e_spell_entry_new ()
gboolean | e_spell_entry_get_checking_enabled ()
void | e_spell_entry_set_checking_enabled ()
ESpellChecker * | e_spell_entry_get_spell_checker ()
void | e_spell_entry_set_spell_checker ()

## Properties

gboolean | checking-enabled | Read / Write
ESpellChecker * | spell-checker | Read / Write

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkEntry
                    ╰── ESpellEntry

## Description

## Functions

### e_spell_entry_new ()

    GtkWidget *
    e_spell_entry_new (void);

### e_spell_entry_get_checking_enabled ()

    gboolean
    e_spell_entry_get_checking_enabled (ESpellEntry *spell_entry);

### e_spell_entry_set_checking_enabled ()

    void
    e_spell_entry_set_checking_enabled (ESpellEntry *spell_entry,
                                        gboolean enable_checking);

### e_spell_entry_get_spell_checker ()

    ESpellChecker *
    e_spell_entry_get_spell_checker (ESpellEntry *spell_entry);

Returns the ESpellChecker being used for spell checking. By default, ESpellEntry creates its own ESpellChecker, but this can be overridden through `e_spell_entry_set_spell_checker()`.

#### Parameters

spell_entry | an ESpellEntry |

#### Returns

an ESpellChecker

### e_spell_entry_set_spell_checker ()

    void
    e_spell_entry_set_spell_checker (ESpellEntry *spell_entry,
                                     ESpellChecker *spell_checker);

Sets the ESpellChecker to use for spell checking. By default, ESpellEntry creates its own ESpellChecker. This function can be useful for sharing an ESpellChecker across multiple spell-checking widgets, so the active spell checking languages stay synchronized.

#### Parameters

spell_entry | an ESpellEntry |
spell_checker | an ESpellChecker |

## Property Details

### The `“checking-enabled”` property

      “checking-enabled”         gboolean

Spell Checking is Enabled.

Owner: ESpellEntry

Flags: Read / Write

Default value: TRUE

### The `“spell-checker”` property

      “spell-checker”            ESpellChecker *

The spell checker object.

Owner: ESpellEntry

Flags: Read / Write